﻿using NetDocsForLLM.Models;
using System.Collections.Generic;
using System.Threading.Tasks;

namespace NetDocsForLLM.Services
{
    /// <summary>
    /// Interfaz para servicios de extracción de metadatos de ensamblados.
    /// El nombre se mantiene por compatibilidad, aunque ya no usemos DocFx.
    /// </summary>
    public interface IDocFxService
    {
        /// <summary>
        /// Genera metadatos de los ensamblados proporcionados
        /// </summary>
        /// <param name="assemblies">Ensamblados para analizar</param>
        /// <returns>Ruta al directorio con los metadatos generados</returns>
        Task<string> GenerateMetadataAsync(IEnumerable<AssemblyModel> assemblies);
    }
}